{
    num: -1107,
    accuracy: 100,
    basePower: 100,
    category: "Special",
    name: "Remedial Chain",
    pp: 5,
    priority: 0,
    flags: { protect: 1, mirror: 1, distance: 1, },
    secondary: null,
    target: "normal",
    type: "Grass",
    contestType: "Beautiful",
    onAfterHit(target, source, move) {
        for (const side of this.sides) {
            for (const mon of side.pokemon) {
                if (mon && mon.status) mon.cureStatus();
            }
        }
    },
    onAfterSubDamage(damage, target, source, move) {
        for (const side of this.sides) {
            for (const mon of side.pokemon) {
                if (mon && mon.status) mon.cureStatus();
            }
        }
    }
}
